> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Post token comment unpin



## OpenAPI

````yaml post /token/{token}/comment/{comment}/unpin
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{token}/comment/{comment}/unpin:
    post:
      tags:
        - Tokens
        - Token Comment Pin
      operationId: TokenController_unpinComment
      parameters:
        - name: token
          required: true
          in: path
          schema:
            type: string
        - name: comment
          required: true
          in: path
          schema:
            type: number
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/CommentEntity'
                    type: object
components:
  schemas:
    CommentEntity:
      type: object
      properties:
        id:
          format: int64
          type: integer
        user:
          type: string
        token:
          type: string
        time:
          format: date-time
          type: string
        message:
          type: string
        reported:
          type: boolean
          default: false
        blocked:
          type: boolean
          default: false
        image:
          type: string
        pinned:
          type: boolean
        pinned_time:
          format: date-time
          type: string
        community:
          type: integer
          default: 0
          description: If 1, comment is in the community section requiring token ownership
        user_username:
          type: string
        user_image:
          type: string
        vote:
          $ref: '#/components/schemas/CommentVoteEntity'
        user_upvote:
          type: boolean
      required:
        - id
        - user
        - token
        - time
        - message
        - reported
        - blocked
        - pinned
        - pinned_time
        - community
        - vote
        - user_upvote
    CommentVoteEntity:
      type: object
      properties:
        upvotes:
          type: number
          format: decimal
        downvotes:
          type: number
          format: decimal
        total:
          type: number
      required:
        - upvotes
        - downvotes
        - total

````